Subject: Re: linux-next: manual merge of the xen tree with the tip tree

From: Jeremy Fitzhardinge <[email-masked]>
Date: Tue, 13 Sep 2011 13:53:39 -0700

On 09/13/2011 08:07 AM, Thomas Gleixner wrote:
> On Tue, 13 Sep 2011, Stephen Rothwell wrote:
>> Hi,
>>
>> On Fri, 26 Aug 2011 12:54:41 +1000 Stephen Rothwell <[email-masked]> wrote:
>>> On Thu, 25 Aug 2011 16:12:33 -0700 "H. Peter Anvin" <[email-masked]> wrote:
>>>> On 08/25/2011 04:06 PM, Stephen Rothwell wrote:
>>>>>> Stephen: the x86/spinlocks branch in the -tip tree is obsolete and
>>>>>> should be dropped.
>>>>> That's a bit tricky as I get a rolled up tip tree.  The best I could do
>>>>> is revert the commit that merges the x86/spinlocks branch into
>>>>> auto-latest ...  I'll do that for today (unless something happens to the
>>>>> tip tree in the next hour).
>>>>>
>>>> OK, let me bother Ingo about it.
>>> For today, I have done "git revert -m 1 6f8fa39c81f1" after merging the
>>> tip tree.
>> I am still doing this in each linux-next, and it doesn't appear to have
>> been fixed up the the tree on tesla.tglx.de, yet, I think.
> We'll take it out. 

Actually, the tip x86/spinlocks was the most up-to-date version of those
patches (since hpa had rebased them to a more recent version of mainline).

But never mind.  Stephen, could you use

    git://github.com/jsgf/linux-xen.git upstream/xen

for linux-next instead of the kernel.org xen.git, and I've re-added the
up-to-date spinlock changes there.

Thanks,
    J